CFFTOT1(1)

NAME
cfftot1 - convert PostScript font from CFF to Type 1

SYNOPSIS
cfftot1 [-a] [input [output]]

DESCRIPTION
Cfftot1 converts PostScript font programs in the Compact Font Format (CFF) into Type 1 font programs in PFB or PFA format, preserving all hints that can be represented in Type 1. The input file should be a raw CFF file or a PostScript-flavored OpenType font. If the file output is not specified output goes to the standard output. If the file input is not specified input comes from the standard input.

OPTIONS
-a, --pfa
    Output font in ASCII PFA format.

-b, --pfb
    Output font in binary PFB format. This is the default.

-n name, --name name
    Output the CFF's component font named name. CFF files can contain more than one font, although few do. Use this option to select a particular font from a multi-font collection. By default cfftot1 chooses the collection's first font.

-o file, --output file
    Write output font to file instead of the standard output.

-q, --quiet
    Do not generate any error messages.

-h, --help
    Print usage information and exit.

-v, --version
    Print the version number and some short non-warranty information and exit.

SEE ALSO

Adobe Type 1 Font Format

Adobe Technical Notes #5176, The Compact Font Format Specification, and #5177, The Type 2 Charstring Format

OpenType Specification, Version 1.4

AUTHOR
Eddie Kohler (kohler@cs.ucla.edu)